### Method

# FwupdPlugin Device set_custom_flags

#### Declaration [src]

    void
    fu_device_set_custom_flags (
      FuDevice* self,
      const gchar* custom_flags
    )

#### Description [src]

Sets the custom flags from the quirk system that can be used to affect device matching. The actual string format is defined by the plugin.

Available since: | 1.1.0

#### Parameters

`custom_flags` | `const gchar*`
| A string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.